#!/bin/sh -ev
STARTDIR=$PWD
test -e busybox-1.15.3.tar.bz2
test -e linux
UPSTREAMVERSION=`dpkg-parsechangelog | grep-dctrl '*' -n -sVersion | sed 's/\([^-]\)-.*/\1/'`
echo UPSTREAMVERSION
ORIGGITHASH=`dpkg-parsechangelog | grep-dctrl '*' -sChanges | egrep -o "firmware as of [^ ]+" | cut -d ' ' -f 4`
echo $ORIGGITHASH
LINUXGITHASH=`cat extra/git_hash`
echo $LINUXGITHASH
cd linux
git checkout $LINUXGITHASH
cd ..
mv linux/.git ../linuxgit

cd ..
cp -a $STARTDIR firmware.orig
cd firmware.orig
git checkout $ORIGGITHASH
rm -rf debian
rm -rf .git
cd ..
tar -jcf raspberrypi-firmware_$UPSTREAMVERSION.orig.tar.bz2 firmware.orig
rm -rf firmware.orig

cp -a $STARTDIR firmware.debsourcepackage
cd firmware.debsourcepackage
rm -rf .git
dpkg-buildpackage -S -us -uc
cd ..
rm -rf firmware.debsourcepackage

cd $STARTDIR
mv ../linuxgit linux/.git

